package me.mrletsplay.nojs.component.impl;

import me.mrletsplay.nojs.component.Component;
import me.mrletsplay.simplehttpserver.dom.html.HtmlElement;

public class Link implements Component {

	private String text;
	private String href;
	private Target target;

	public Link() {
		this.text = "Link";
		this.href = "#";
		this.target = Target.SELF;
	}

	public Link text(String text) {
		this.text = text != null ? text : "Link";
		return this;
	}

	public Link href(String href) {
		this.href = href != null ? href : "#";
		return this;
	}

	public Link target(Target target) {
		this.target = target != null ? target : Target.SELF;
		return this;
	}

	@Override
	public HtmlElement toHtml() {
		HtmlElement link = HtmlElement.of("a");
		link.addClass("link");

		if(target != Target.SELF) {
			link.setAttribute("target", "_" + target.name().toLowerCase());
		}

		link.setText(text);
		link.setAttribute("href", href);
		return link;
	}

	public static enum Target {

		SELF,
		BLANK,
		;

	}

}
